Bug 175521 - CVE-2004-2607 sdla_xfer casting flaw
CVE-2004-2607 sdla_xfer casting flaw
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Don Howard
Brian Brock
source=cve,reported=20051202,public=2...
: Security
Depends On:
Blocks: 143573
  Show dependency treegraph
 
Reported: 2005-12-12 04:09 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-13 03:52:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-12-12 04:09:45 EST
+++ This bug was initially created as a clone of Bug #175519 +++

The Sangoma frame relay driver could allow local users to read
large portions of kernel memory.

fixed=2.6.5
http://linux.bkbits.net:8080/linux-2.6/cset@4083fdb65KiH8zD6KliRqh6HrON_sw

fixed=2.4.29
http://linux.bkbits.net:8080/linux-2.4/cset@41e2d02a-1uIuT2ka6ipdvsj4sTwJg
Comment 1 Mark J. Cox (Product Security) 2005-12-13 03:52:36 EST
caught by CAP_NET_ADMIN check in _ioctl

Note You need to log in before you can comment on or make changes to this bug.